# ChangeLog for app-misc/devtodo
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/devtodo/ChangeLog,v 1.65 2007/02/21 22:27:17 peper Exp $

  21 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
  Transition to Manifest2.

  28 Jan 2007; Marius Mauch <genone@gentoo.org> devtodo-0.1.18-r2.ebuild,
  devtodo-0.1.19.ebuild, devtodo-0.1.19-r1.ebuild:
  Replacing einfo with elog

  05 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  devtodo-0.1.18-r2.ebuild, devtodo-0.1.19.ebuild:
  Remove gnuconfig_update usage, leave it to econf.

  14 Apr 2006; Mark Loeser <halcy0n@gentoo.org>
  files/devtodo-0.1.18-gcc4.diff:
  Add patch to fix compilation with gcc-4.1; bug #126589

  30 Dec 2005; Markus Rothe <corsair@gentoo.org> devtodo-0.1.19-r1.ebuild:
  Stable on ppc64

  24 Dec 2005; Michael Hanselmann <hansmi@gentoo.org>
  devtodo-0.1.19-r1.ebuild:
  Stable on ppc.

  24 Dec 2005; Rene Nussbaumer <killerfox@gentoo.org>
  devtodo-0.1.19-r1.ebuild:
  Stable on hppa.

  21 Dec 2005; Marcus D. Hanwell <cryos@gentoo.org>
  devtodo-0.1.19-r1.ebuild:
  Stable on amd64.

  20 Dec 2005; Bryan Østergaard <kloeri@gentoo.org
  devtodo-0.1.19-r1.ebuild:
  Stable on alpha.

  18 Dec 2005; Aaron Walker <ka0ttic@gentoo.org> devtodo-0.1.19-r1.ebuild:
  Marked 0.1.19-r1 stable for mips,sparc,x86.

*devtodo-0.1.19-r1 (29 Oct 2005)

  29 Oct 2005; Aaron Walker <ka0ttic@gentoo.org>
  +files/devtodo-0.1.19-fix-multiline-segv.diff, +devtodo-0.1.19-r1.ebuild:
  Revision bump; added a patch that fixes a segmentation fault when trying to
  read a .todo file after adding a multi-line item (fex 'cat $somefile |
  tda').

  15 Aug 2005; Luis Medinas <metalgod@gentoo.org> devtodo-0.1.19.ebuild:
  Stable on AMD64.

  03 Aug 2005; Bryan Østergaard <kloeri@gentoo.org> devtodo-0.1.19.ebuild:
  Stable on alpha.

  01 Aug 2005; Aaron Walker <ka0ttic@gentoo.org>
  files/digest-devtodo-0.1.19, Manifest:
  Fix digest.

  30 Jul 2005; Aaron Walker <ka0ttic@gentoo.org> devtodo-0.1.19.ebuild:
  Stable on mips.

  17 Jul 2005; Tobias Scherbaum <dertobi123@gentoo.org>
  devtodo-0.1.19.ebuild:
  ppc stable

  09 Jul 2005; Markus Rothe <corsair@gentoo.org> devtodo-0.1.19.ebuild:
  Stable on ppc64

  08 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org> devtodo-0.1.19.ebuild:
  Stable on sparc

  08 Jul 2005; Aaron Walker <ka0ttic@gentoo.org> devtodo-0.1.19.ebuild:
  Stable on x86.

*devtodo-0.1.19 (06 Jun 2005)

  06 Jun 2005; Aaron Walker <ka0ttic@gentoo.org>
  +files/devtodo-0.1.18-gcc4.diff, +files/devtodo-0.1.19-gentoo.diff,
  -files/devtodo.patch, -files/devtodo-fix-TERM-sigabrt.patch,
  -files/devtodo-fix-cd-builtin.patch, -devtodo-0.1.17-r2.ebuild,
  -devtodo-0.1.18-r1.ebuild, devtodo-0.1.18-r2.ebuild,
  +devtodo-0.1.19.ebuild:
  Version bump; not many changes. most upstream changes are already present in
  0.1.18-r2. Added gcc-4 patch which is applicable for both 0.1.18-r2 and
  0.1.19. Tidy'd old ebuilds and patches.

  08 Apr 2005; Markus Rothe <corsair@gentoo.org> devtodo-0.1.18-r2.ebuild:
  Stable on ppc64

  27 Mar 2005; Michael Hanselmann <hansmi@gentoo.org>
  devtodo-0.1.18-r2.ebuild:
  Stable on ppc.

  11 Mar 2005; Aaron Walker <ka0ttic@gentoo.org>
  files/devtodo.bash-completion:
  Rewrote bash completion.

  06 Feb 2005; Joshua Kinard <kumba@gentoo.org> devtodo-0.1.18-r2.ebuild:
  Marked stable on mips.

  03 Jan 2005; Tom Martin <slarti@gentoo.org> devtodo-0.1.18-r2.ebuild:
  Stable on amd64.

  23 Dec 2004; Bryan Østergaard <kloeri@gentoo.org>
  devtodo-0.1.18-r2.ebuild:
  Stable on alpha.

  17 Dec 2004; Aaron Walker <ka0ttic@gentoo.org>
  files/devtodo-0.1.18-gentoo.diff, devtodo-0.1.18-r1.ebuild,
  devtodo-0.1.18-r2.ebuild:
  Updated patch to fix last remaining compiler warning. Also pass -f -i to
  autoreconf to fix ltmain.sh bug.

  17 Dec 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  devtodo-0.1.18-r2.ebuild:
  Stable on sparc

  16 Dec 2004; Aaron Walker <ka0ttic@gentoo.org> devtodo-0.1.18-r2.ebuild:
  Marked stable on x86.

  11 Dec 2004; Bryan Østergaard <kloeri@gentoo.org>
  devtodo-0.1.18-r1.ebuild:
  Stable on alpha.

*devtodo-0.1.18-r2 (18 Nov 2004)

  18 Nov 2004; Aaron Walker <ka0ttic@gentoo.org>
  +files/devtodo-0.1.18-gentoo.diff,
  -files/devtodo-0.1.18-invalid-ptr.patch,
  -files/devtodo-1.1.17-notdl.patch, devtodo-0.1.17-r2.ebuild,
  devtodo-0.1.18-r1.ebuild, +devtodo-0.1.18-r2.ebuild:
  Added gentoo patch, which consolidates common patches with the addition of
  some other fixes, including fixed --TODO output as well as some
  automake/autoconf warning fixes.

  15 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  devtodo-0.1.18-r1.ebuild:
  Stable on sparc

  13 Nov 2004; Aaron Walker <ka0ttic@gentoo.org> -devtodo-0.1.17-r1.ebuild,
  -devtodo-0.1.17.ebuild, devtodo-0.1.18-r1.ebuild, -devtodo-0.1.18.ebuild:
  Marked stable on x86 and s390 (as per SpanKY); tidy up old ebuilds.

  13 Nov 2004; Aaron Walker <ka0ttic@gentoo.org>
  files/devtodo.bash-completion:
  Clean up completion functions.

*devtodo-0.1.18-r1 (11 Nov 2004)

  11 Nov 2004; Aaron Walker <ka0ttic@gentoo.org>
  +files/devtodo-0.1.18-invalid-ptr.patch, +devtodo-0.1.18-r1.ebuild:
  Added a patch to fix tdr segfaults with gcc-3.4.x; devtodo's support.cc
  doesn't like -O2 at all, so we now use replace-flags. Also, run autoreconf
  rather than just automake after patching.

  06 Nov 2004; Aaron Walker <ka0ttic@gentoo.org> devtodo-0.1.18.ebuild:
  Use pkg_postinst provided by bash-completion.eclass

  31 Oct 2004; Ciaran McCreesh <ciaranm@gentoo.org>
  devtodo-0.1.17-r2.ebuild:
  Stable on mips, bug #65062

  31 Oct 2004; Aaron Walker <ka0ttic@gentoo.org> devtodo-0.1.18.ebuild:
  Use bash-completion.eclass

  10 Oct 2004; Aaron Walker <ka0ttic@gentoo.org> metadata.xml:
  Updated metadata to reflect new shell-tools herd.

  28 Sep 2004; Bryan Østergaard <kloeri@gentoo.org>
  devtodo-0.1.17-r2.ebuild:
  Stable on alpha, bug 65062.

  23 Sep 2004; <blubb@gentoo.org> devtodo-0.1.17-r2.ebuild:
  stable on amd64

  21 Sep 2004; <SeJo@gentoo.org> devtodo-0.1.17-r2.ebuild:
  stable on ppc

  19 Sep 2004; Tom Gall <tgall@gentoo.org> devtodo-0.1.17-r2.ebuild:
  stable on ppc64, bug #63663

  15 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  devtodo-0.1.17-r2.ebuild:
  Stable on sparc

  12 Sep 2004; Aaron Walker <ka0ttic@gentoo.org> devtodo-0.1.17-r2.ebuild:
  Stable on x86.

*devtodo-0.1.18 (10 Sep 2004)

  10 Sep 2004; Aaron Walker <ka0ttic@gentoo.org> +metadata.xml,
  +files/devtodo.bash-completion, +devtodo-0.1.18.ebuild:
  Version bump; upstream fixes for bugs 35449, 60206, and 60207. Also added
  bash-completion script (please test)

*devtodo-0.1.17-r2 (22 Aug 2004)

  22 Aug 2004; Bryan Østergaard <kloeri@gentoo.org>
  +files/devtodo-fix-TERM-sigabrt.patch, +files/devtodo-fix-cd-builtin.patch,
  +devtodo-0.1.17-r2.ebuild:
  Fix bugs 60206 and 60207, patches by Aaron Walker.

  21 Jul 2004; Robin H. Johnson <robbat2@gentoo.org> devtodo-0.1.17-r1.ebuild:
  fix deps.

*devtodo-0.1.17-r1 (20 Jul 2004)

  20 Jul 2004; Robin H. Johnson <robbat2@gentoo.org> devtodo-0.1.17-r1.ebuild,
  files/devtodo-0.1.11.colourplain.patch, files/devtodo-1.1.17-notdl.patch:
  bug #55371, cleanup ebuild, remove old unused patch from tree.

  28 Jun 2004; Ciaran McCreesh <ciaranm@gentoo.org> devtodo-0.1.17.ebuild:
  Stable on mips

  07 May 2004; Gustavo Zacarias <gustavoz@gentoo.org> devtodo-0.1.17.ebuild:
  Stable on sparc

  04 May 2004; Bryan Østergaard <kloeri@gentoo.org> devtodo-0.1.17.ebuild:
  Stable on alpha.

  09 Apr 2004; Brian Jackson <iggy@gentoo.org> devtodo-0.1.17.ebuild:
  added s390 keyword

  20 Feb 2004; Michael Sterrett <mr_bones_@gentoo.org> devtodo-0.1.17.ebuild:
  header fix; inherit eutils for epatch; arm needs deps first

  28 Dec 2003; Jon Portnoy <avenj@gentoo.org> devtodo-0.1.17.ebuild :
  Added gnuconfig_update. Stable on AMD64.

  09 Dec 2003; Seemant Kulleen <seemant@gentoo.org> devtodo-0.1.11-r1.ebuild,
  devtodo-0.1.14.ebuild, devtodo-0.1.17.ebuild, files/devtodo.patch:
  Added patch to have devtodo compile with gcc-3.3, patch is actually from:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=195195 and was submitted in
  our bug #35449 by jim_jim33@hotmail.com

*devtodo-0.1.17 (04 Jan 2003)

  04 Jan 2003; Hannes Mehnert <hannes@gentoo.org> devtodo-0.1.17.ebuild:
  version bump

*devtodo-0.1.14 (24 July 2002)

  02 Nov 2002; Calum Selkirk <cselkirk@gentoo.org> devtodo-0.1.14.ebuild :

  Added ppc to KEYWORDS.

  24 July 2002; Sascha Schwabbauer <cybersystem@gentoo.org> ChangeLog :

  Updated to the newest version.
 
*devtodo-0.1.11-r1 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
